# Interface methods for submodule: InPlaceLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: InPlaceLabelMapFilter
class InPlaceLabelMapFilterProxy(_LabelMapFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInPlace(self, _arg: bool) -> None:
		""""""
		...

	def GetInPlace(self) -> bool:
		""""""
		...

	def InPlaceOn(self) -> None:
		""""""
		...

	def InPlaceOff(self) -> None:
		""""""
		...

	def CanRunInPlace(self) -> bool:
		""""""
		...

